
Redmine - Feature #38948

Add user status to users list API

2023-08-10 23:25 - Tom Misilo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Allow for returning all users, and return the status of the user in the response.

Associated revisions

Revision 22637 - 2024-01-25 17:40 - Marius BĂLTEANU

Adds user status to users list API (#38948).

History

#1 - 2023-08-14 15:32 - salman mp

Try /users.json?status=

It returns the list of all users but not included status of theme.

#2 - 2023-08-14 16:05 - Tom Misilo

That seems to work to return the users, but doesn't return their status, so there is no easy to without querying every user individually to get their

status. Is there a way to get their status as well in the returned data?

#3 - 2023-08-15 00:05 - salman mp

:)

Try /users.json?status=1, /users.json?status=2 and /users.json?status=3, until that good day that the status field is included in the result.

Do this, instead of querying each user.

#4 - 2024-01-25 17:32 - Marius BĂLTEANU

- Subject changed from Extend users.json response to Add user status to users list API

- Assignee set to Marius BĂLTEANU

- Target version set to 6.0.0

#5 - 2024-01-25 17:40 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

Feature added in r22637, the status is now available in the response as integer value.

#6 - 2024-01-26 03:23 - Marius BĂLTEANU

- Status changed from Resolved to Closed
